public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Christoph Mende" <angelos@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] dev/angelos:master commit in: dev-dotnet/notify-sharp/files/, dev-dotnet/notify-sharp/
Date: Fri, 11 Mar 2011 12:17:17 +0000 (UTC)	[thread overview]
Message-ID: <3c3a778a2ab48cedb599bdfc9573d87c8a8c0cfc.angelos@gentoo> (raw)

commit:     3c3a778a2ab48cedb599bdfc9573d87c8a8c0cfc
Author:     Christoph Mende <angelos <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 11 12:16:48 2011 +0000
Commit:     Christoph Mende <angelos <AT> gentoo <DOT> org>
CommitDate: Fri Mar 11 12:16:48 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/angelos.git;a=commit;h=3c3a778a

notify-sharp: Initial import

---
 dev-dotnet/notify-sharp/Manifest                   |    3 +
 ...tify-sharp-0.4.0_pre20080912-control-docs.patch |   28 ++++++++++++
 .../notify-sharp-0.4.0_pre20080912-r2.ebuild       |   44 ++++++++++++++++++++
 3 files changed, 75 insertions(+), 0 deletions(-)

diff --git a/dev-dotnet/notify-sharp/Manifest b/dev-dotnet/notify-sharp/Manifest
new file mode 100644
index 0000000..ec1191a
--- /dev/null
+++ b/dev-dotnet/notify-sharp/Manifest
@@ -0,0 +1,3 @@
+AUX notify-sharp-0.4.0_pre20080912-control-docs.patch 1136 RMD160 0d128b732474b6338b6471b333d00e555fa0dec0 SHA1 4f2a027d72d1080a26550d07312a23b538c300b3 SHA256 1457ee8101cfd47f44c11a96f82b62d8ffa51cc1e8b0c2086d2be4dcae306807
+DIST notify-sharp-20080912.tar.bz2 14326 RMD160 2387412dcab0572fbde024fc6150c42c6fb25588 SHA1 9db76682f1971fe2b4989d783e1b3d408d8f7bb7 SHA256 72574e04e4c8e262da5f94fa086cf3578e97ad2b84d602959ac6e488710a1a9c
+EBUILD notify-sharp-0.4.0_pre20080912-r2.ebuild 1108 RMD160 ad1b7fa7db2732c5740372aadc21281c42c8bc88 SHA1 3e2b12b97128faac8cd2773cca102df1deb4bff1 SHA256 59fe7f7cb088e297ee92bc32aa74f7db80044864ca4f4d1c530fa5b456cb8cd3

diff --git a/dev-dotnet/notify-sharp/files/notify-sharp-0.4.0_pre20080912-control-docs.patch b/dev-dotnet/notify-sharp/files/notify-sharp-0.4.0_pre20080912-control-docs.patch
new file mode 100644
index 0000000..44ff058
--- /dev/null
+++ b/dev-dotnet/notify-sharp/files/notify-sharp-0.4.0_pre20080912-control-docs.patch
@@ -0,0 +1,28 @@
+diff -NrU5 notify-sharp-20080912.orig/configure.ac notify-sharp-20080912/configure.ac
+--- notify-sharp-20080912.orig/configure.ac	2008-11-26 21:56:02.000000000 +0100
++++ notify-sharp-20080912/configure.ac	2008-11-26 22:01:08.000000000 +0100
+@@ -34,16 +34,21 @@
+ if test "x$GACUTIL" = "xno"; then
+ 	AC_MSG_ERROR([You need to install gacutil])
+ fi
+ AC_SUBST(GACUTIL)
+ 
+-AC_ARG_ENABLE(docs, AC_HELP_STRING([--disable-docs], 
+-	[Do not build documentation]), with_docs=no, with_docs=yes)
++AC_ARG_ENABLE(	[docs],
++		[AC_HELP_STRING(	[--enable/disable-docs], 
++					[Do (not) build documentation (default=yes)]
++		)],
++		[],
++		[enable_docs=yes]
++)
+ 
+ MONODOC_REQ_VERSION=1.1.18
+ 
+-if test "x$with_docs" = "xyes"; then
++if test "x$enable_docs" = "xyes"; then
+ 	PKG_CHECK_MODULES(MONODOC, monodoc >= $MONODOC_REQ_VERSION,,
+ 		[AC_MSG_ERROR([You need to install monodoc, or pass --disable-docs to configure to skip documentation installation])])
+ 	AC_PATH_PROG(MONODOCER, monodocer, no)
+ 	if test "x$MONODOCER" = "xno"; then
+ 		AC_MSG_ERROR([You need to install monodoc, or pass --disable-docs to configure to skip documentation installation])

diff --git a/dev-dotnet/notify-sharp/notify-sharp-0.4.0_pre20080912-r2.ebuild b/dev-dotnet/notify-sharp/notify-sharp-0.4.0_pre20080912-r2.ebuild
new file mode 100644
index 0000000..e8c362e
--- /dev/null
+++ b/dev-dotnet/notify-sharp/notify-sharp-0.4.0_pre20080912-r2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/notify-sharp/notify-sharp-0.4.0_pre20080912-r1.ebuild,v 1.7 2009/06/05 08:19:45 ssuominen Exp $
+
+EAPI=2
+
+inherit autotools mono
+
+MY_P=${PN}-${PV#*_pre}
+
+DESCRIPTION="notify-sharp is a C# client implementation for Desktop Notifications"
+HOMEPAGE="http://www.ndesk.org/NotifySharp"
+SRC_URI="mirror://gentoo/${MY_P}.tar.bz2"
+#http://cvs.fedora.redhat.com/repo/pkgs/${PN}/${MY_P}.tar.bz2/098f3cde158cf26d3efedbfcc19c70dd/${MY_P}.tar.bz2
+LICENSE="as-is"
+SLOT="0"
+
+KEYWORDS="amd64 ppc x86"
+IUSE="doc"
+
+RDEPEND=">=dev-lang/mono-1.1.13
+	>=dev-dotnet/gtk-sharp-2.10.1
+	>=dev-dotnet/ndesk-dbus-0.6
+	>=dev-dotnet/ndesk-dbus-glib-0.4
+	>=x11-libs/libnotify-0.4.5"
+DEPEND="${RDEPEND}
+	doc? ( virtual/monodoc )"
+
+S=${WORKDIR}/${MY_P}
+
+MAKEOPTS="${MAKEOPTS} -j1"
+
+src_prepare() {
+	epatch "${FILESDIR}/${P}-control-docs.patch"
+	eautoreconf
+}
+
+src_configure() {
+	econf $(use_enable doc docs)
+}
+
+src_install() {
+	emake DESTDIR="${D}" install || die "emake install failed"
+}



                 reply	other threads:[~2011-03-11 13:03 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=3c3a778a2ab48cedb599bdfc9573d87c8a8c0cfc.angelos@gentoo \
    --to=angelos@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox